commit:     264e38a546732cdd8167a1c93c843556d2fbf659
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 21 16:19:31 2022 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Fri Oct 21 16:19:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=264e38a5

app-metrics/prometheus: add 2.39.1

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 app-metrics/prometheus/Manifest                 |  3 ++
 app-metrics/prometheus/prometheus-2.39.1.ebuild | 72 +++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-metrics/prometheus/Manifest b/app-metrics/prometheus/Manifest
index cdc4b17492d3..7537692fd4c2 100644
--- a/app-metrics/prometheus/Manifest
+++ b/app-metrics/prometheus/Manifest
@@ -7,3 +7,6 @@ DIST prometheus-2.37.1.tar.gz 6049188 BLAKE2B 
f32b4d9b7e02f7edc3468d6ce650b2f03e
 DIST prometheus-2.38.0-assets.tar.xz 43847400 BLAKE2B 
0eb92c08414d55528243b549550db626e2ce15de2399f45a4eaf9a35c724851e7df7243921b6384f2a3bf23b783b3a199a4f11db6bb73ff4289c97d2c447a939
 SHA512 
16d7c391c70a0950deca575eea37fbe4786632426f3b44d33716a39254dc7d64b50d3493f6159db204b56c78804d0bc274c8367feaa2261d01a6a767ec93347f
 DIST prometheus-2.38.0-deps.tar.xz 258811628 BLAKE2B 
0a9f5001d4afa1b9ce5feee98a4258315669b841343a1357606c8237ea9fa681ca47e640b0e36b1bc30420afa60edbcc53f0a1205e334129e4aaaf34b92505b6
 SHA512 
908ea45086fde89862a8ca8614654cfd7afa27ed0df38f27fc1e9493f721fff5c7e90711281bf0bf27bf9f938f25a89fe5ab29cec2082923eeca4259c068a80b
 DIST prometheus-2.38.0.tar.gz 6057055 BLAKE2B 
5cf4090d6e9b1cf918e21e1f6ee79f0b4478aa4fc28b0345c3555e684347bfbe9793661955ac406bdb4f87bdf0df2b96716d89a1ec201f7ceb5f1c3d0b7d5e7a
 SHA512 
c2d5f5833012c88b23c9e2b3944e1ea5ecfdb0f24541a1012d46347d40b0b310fe71f71e137e6fec35ef9e12d113e8c77d07047351fa8f055c31b227c8ca40ae
+DIST prometheus-2.39.1-assets.tar.xz 45639572 BLAKE2B 
291998ea03128042cf5fa1ac40c3bac2bea298e44b408bc4a4dcb15ab3e7899b12850f4ae9bda37fbbf1756e53043ae7c29e7b2d28b1e60e2ccaf8b83308443a
 SHA512 
356abf7b08030c474c083d2eb3e4a0635c8f6b3b1ab6639c112c619efa5135535b1258fa3c4a1e2987ae032ab6662651abf4468b34385158eed3217459d3fb87
+DIST prometheus-2.39.1-deps.tar.xz 251770124 BLAKE2B 
39d1ae2affbdc0dedfa16b3802b78987878e2d46a1af7ac5bf3416626f72f7a6963c92d2358940cda074ce7d5196b8b3b7a6b802592a29401586e7923e5e0ae5
 SHA512 
a93abc79f0d06bd86b802d3c8e868e65b9dc1653ce8c1b3af9ab7e40a3e43cc47b6fe600e7005f730716849ecf0d0cc8b60939e35883fdcc47f9922a732122ec
+DIST prometheus-2.39.1.tar.gz 6045708 BLAKE2B 
306a93c74257bbd33994538d7679d730a0926ac55280e1198b0d528c4c20c44f9ad3e0b4ca3a820e45ace114ade9c60f12f80846900213e0da0850399856afdf
 SHA512 
d3c61a366ee14fff9ebf554e94647ec27ea21f3d829396d6b132dfe268a9153e30f4ce63d762d79593e6876246cd110b52da1e196f55390c5c657d5a57df0055

diff --git a/app-metrics/prometheus/prometheus-2.39.1.ebuild 
b/app-metrics/prometheus/prometheus-2.39.1.ebuild
new file mode 100644
index 000000000000..bba1d236e464
--- /dev/null
+++ b/app-metrics/prometheus/prometheus-2.39.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module systemd
+GIT_COMMIT=818d6e60888b2a3ea363aee8a9828c7bafd73699
+MY_PV=v${PV/_rc/-rc.}
+
+# To create the assets tarball run the following:
+# git checkout <tag>
+# make assets-compress
+# tar -acf <tarball> web/ui
+
+DESCRIPTION="Prometheus monitoring system and time series database"
+HOMEPAGE="https://github.com/prometheus/prometheus";
+SRC_URI="https://github.com/prometheus/prometheus/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz
+       https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz
+       https://dev.gentoo.org/~williamh/dist/${P}-assets.tar.xz";
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~riscv"
+
+COMMON_DEPEND="acct-group/prometheus
+       acct-user/prometheus"
+DEPEND="!app-metrics/prometheus-bin
+       ${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+BDEPEND=">=dev-util/promu-0.3.0"
+
+RESTRICT=" test"
+
+src_prepare() {
+       default
+       sed -i \
+               -e "s/{{.Branch}}/HEAD/" \
+               -e "s/{{.Revision}}/${GIT_COMMIT}/" \
+               -e "s/{{.Version}}/${PV}/" \
+               .promu.yml || die
+       cp -a -n "${WORKDIR}"/web/ui web || die
+}
+
+src_compile() {
+       emake PROMU="${EPREFIX}"/usr/bin/promu common-build plugins
+}
+
+src_install() {
+       dobin prometheus promtool
+       dodoc -r {documentation,{README,CHANGELOG,CONTRIBUTING}.md}
+       insinto /usr/share/prometheus
+       doins -r console_libraries consoles
+       insinto /etc/prometheus
+       doins documentation/examples/prometheus.yml
+       dosym -r /usr/share/prometheus/console_libraries 
/etc/prometheus/console_libraries
+       dosym -r /usr/share/prometheus/consoles /etc/prometheus/consoles
+
+       systemd_dounit "${FILESDIR}"/prometheus.service
+       newinitd "${FILESDIR}"/prometheus.initd prometheus
+       newconfd "${FILESDIR}"/prometheus.confd prometheus
+       keepdir /var/log/prometheus /var/lib/prometheus
+       fowners prometheus:prometheus /var/log/prometheus /var/lib/prometheus
+}
+
+pkg_postinst() {
+       if has_version '<net-analyzer/prometheus-2.0.0_rc0'; then
+               ewarn "Old prometheus 1.x TSDB won't be converted to the new 
prometheus 2.0 format"
+               ewarn "Be aware that the old data currently cannot be accessed 
with prometheus 2.0"
+               ewarn "This release requires a clean storage directory and is 
not compatible with"
+               ewarn "files created by previous beta releases"
+       fi
+}

Reply via email to